OCF_HEARTBEAT_DELAY(7)

NAME
ocf_heartbeat_Delay - Waits for a defined timespan

SYNOPSIS

Delay [start | stop | status | monitor | meta-data | validate-all]

DESCRIPTION

This script is a test resource for introducing delay.

SUPPORTED PARAMETERS

startdelay
    How long in seconds to delay on start operation.

    (optional, integer, default 20)

stopdelay
    How long in seconds to delay on stop operation. Defaults to "startdelay" if unspecified.

    (optional, integer, default 30)

mondelay
    How long in seconds to delay on monitor operation. Defaults to "startdelay" if unspecified.

    (optional, integer, default 30)

SUPPORTED ACTIONS

This resource agent supports the following actions (operations):

start
    Starts the resource. Suggested minimum timeout: 30s.

stop
    Stops the resource. Suggested minimum timeout: 30s.

status
    Performs a status check. Suggested minimum timeout: 30s. Suggested interval: 10s.

monitor
    Performs a detailed status check. Suggested minimum timeout: 30s. Suggested interval: 10s.

meta-data
    Retrieves resource agent metadata (internal use only). Suggested minimum timeout: 5s.

validate-all
    Performs a validation of the resource configuration. Suggested minimum timeout: 5s.

EXAMPLE CRM SHELL

The following is an example configuration for a Delay resource using the crm(8) shell:

    primitive p_Delay ocf:heartbeat:Delay \
      op monitor depth="0" timeout="30s" interval="10s"

EXAMPLE PCS

The following is an example configuration for a Delay resource using pcs(8)

    pcs resource create p_Delay ocf:heartbeat:Delay \
      op monitor depth="0" timeout="30s" interval="10s"

SEE ALSO

http://clusterlabs.org/

AUTHOR

ClusterLabs contributors (see the resource agent source for information about individual authors)